Loading...
Searching...
No Matches
OpenMesh::IO::_OBJWriter_ Class Reference

This class defines the OBJ writer. More...

`#include <OpenMesh/Core/IO/writer/OBJWriter.hh>`

Inheritance diagram for OpenMesh::IO::_OBJWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_OBJWriter_:
[legend]

## Public Member Functions

virtual | ~_OBJWriter_ ()
| Destructor.
std::string | get_description () const override
| Return short description of the supported file format.
std::string | get_extensions () const override
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, const Options &_writeOptions, std::streamsize _precision=6) const override
| Write to a file.
bool | write (std::ostream &, BaseExporter &, const Options &_writeOptions, std::streamsize _precision=6) const override
| Write to a std::ostream.
size_t | binary_size (BaseExporter &, const Options &) const override
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension).

## Additional Inherited Members

Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, const Options &_writeOptions) const

## Detailed Description

This class defines the OBJ writer.

This class is further singleton'ed by SingletonT to OBJWriter.

## Member Function Documentation

## binary_size()

size_t OpenMesh::IO::_OBJWriter_::binary_size | ( | BaseExporter & | ,
|  | const Options & |
| ) |  | const

inline override virtual

Returns expected size of file if binary format is supported else 0.

Reimplemented from OpenMesh::IO::BaseWriter.

## get_description()

std::string OpenMesh::IO::_OBJWriter_::get_description | ( |  | ) | const

inline override virtual

Return short description of the supported file format.

Implements OpenMesh::IO::BaseWriter.

## get_extensions()

std::string OpenMesh::IO::_OBJWriter_::get_extensions | ( |  | ) | const

inline override virtual

Return file format's extension.

Implements OpenMesh::IO::BaseWriter.

## write() [1/2]

bool OpenMesh::IO::_OBJWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | const Options & | _writeOptions,
|  | std::streamsize | _precision = `6`
| ) |  | const

override virtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _writeOptions | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

## write() [2/2]

bool OpenMesh::IO::_OBJWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | const Options & | _writeOptions,
|  | std::streamsize | _precision = `6`
| ) |  | const

override virtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _writeOptions | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/OBJWriter.hh
- OpenMesh/Core/IO/writer/OBJWriter.cc